Leave Conversation
curl --request DELETE \
--url https://api.replyke.com/api/v6/:projectId/api/v7/conversations/:conversationId/leaveimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/conversations/:conversationId/leave"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/conversations/:conversationId/leave', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Chat — Members
Leave Conversation
Leave a group or space conversation
DELETE
/
:projectId
/
api
/
v7
/
conversations
/
:conversationId
/
leave
Leave Conversation
Removes the current user from a conversation. Direct conversations (
type: "direct") cannot be left.
For group conversations, if the caller is the last admin, they must promote another member before leaving. The caller is evicted from the real-time room immediately.
Path Parameters
The ID of the conversation to leave.
Response
{ "message": "Left conversation." }
Error Responses
Not Found — 404
Not Found — 404
{ "error": "Conversation not found.", "code": "chat/not-found" }
Cannot Leave DM — 400 Bad Request
Cannot Leave DM — 400 Bad Request
{ "error": "Direct conversations cannot be left.", "code": "chat/cannot-leave-dm" }
Not a Member — 400 Bad Request
Not a Member — 400 Bad Request
{ "error": "You are not an active member of this conversation.", "code": "chat/not-a-member" }
Last Admin — 400 Bad Request
Last Admin — 400 Bad Request
{ "error": "You are the last admin. Promote another member before leaving.", "code": "chat/last-admin" }
⌘I

